Skip to content
Skip to main content
PUT
/v3/channels/sns/{id}

Update an Amazon SNS channel

Updates the specified Amazon SNS notification channel.

When you make a PUT request, Nylas replaces all data in the nested object with the information included in your request. For more information, see Updating objects.

NYLAS API KEY

Parameters

Path parameters

id*string

The ID of the Amazon SNS channel to update.

Request body

The Amazon SNS channel properties to update.

descriptionstring

A human-readable description of the Amazon SNS channel.

Example: "Prod account status notifications SNS"
trigger_typesarray<string>

The event that triggers the notification. See the notification schemas for details about each trigger type.

See the Grants, Calendar, Events, and Messages references for information on how to trigger each event type.

topicstring

The Amazon SNS topic ARN that Nylas sends notifications to. Must start with arn:aws:sns:.

Example: "arn:aws:sns:us-east-1:123456789012:my-topic"
role_arnstring

The ARN of the IAM role that Nylas assumes to publish messages to the SNS topic.

Example: "arn:aws:iam::123456789012:role/nylas-sns-role"
statusstring

The new status of the channel. Use this to restart a channel that you manually paused, or that was automatically paused due to deliverability issues.

activepause
notification_email_addressesarray<string>

The email addresses that Nylas notifies if there are errors or deliverability problems. See the rate limit documentation for details.

compressed_deliveryboolean

If true, Nylas gzip-compresses and then base64-encodes notification payloads before delivering them. Nylas adds a content_encoding: gzip+base64 message attribute to the SNS message. To decode, base64-decode the message body, then gzip-decompress.

Example: true

Responses

dataobject
request_idstring

The unique ID of the request that generated this response.

PUThttps://api.us.nylas.com/v3/channels/sns/{id}

Find your API key in the Nylas Dashboard under API Keys in your application settings.

idrequiredstring

The ID of the Amazon SNS channel to update.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.